/api/agentsList Devices
REST operation provided by AgentController. The generated parameter and DTO schemas below describe its inputs and successful response.
No JSON request body for this operation.
[
{
"id": "string",
"agentIdentifier": "string",
"deviceId": "string",
"devicePublicKey": {
"kty": "string",
"n": "string",
"e": "string",
"alg": "string",
"use": "string",
"kid": "string"
},
"avatar": "string",
"status": "string",
"pairedAt": "2026-09-04T00:00:00Z",
"pluginInventoryJson": "string",
"latestCommandId": "string",
"latestCommandType": "string",
"latestCommandStatus": "string",
"latestCommandResultJson": "string",
"latestCommandCreatedAt": "2026-09-04T00:00:00Z",
"latestCommandCompletedAt": "2026-09-04T00:00:00Z",
"connected": true
}
]